import { ResultInfo } from "@/common/methods/request/interface";

/**
 * 获取对手方名称
 * @param type 采购 / 销售
 * @param buyName 买方
 * @param sellName 卖方
 */
export function getAnalogueName(type: number, buyName: string, sellName: string) {
    let result = "--";
    switch (type) {
        case 1:
            result = sellName
            break;
        case -1:
            result = buyName
            break;
    }
    return result
}


/************** 接口相关提示 **************** /
 *
 */
// 合同操作 操作类型 1: 保存草稿  2: 提交申请 3: 删除成功 4:审核通过
export const GldContractStateSign = new Map<number, ResultInfo>([
    [1, ['保存草稿成功', '保存草稿失败:']],
    [2, ['提交申请成功', '提交申请失败:']],
    [3, ['删除成功', '删除失败:']],
    [4, ['审核通过', '审核失败:']],
])

// 合同操作 4:审核拒绝 6:正常完结 5:撤销
export const ContractStateSign = new Map<number, ResultInfo>([
    [4, ['审核拒绝成功', '审核拒绝失败:']],
    [5, ['撤销成功', '撤销失败:']],
    [6, ['正常完结', '合同完结失败:']],
])
